skipDelete(3)

NAME
skipDelete - delete an item.

SYNOPSIS
#include <util/skiplist.h> void skipDelete(skipList list, UINT32 key);

ARGUMENTS
list - list to delete item from.
key - key identifying value to delete.

DESCRIPTION
Delete the item associated with <key> from <list>. MT-Level: Safe if <list> thread-safe.

RETURN VALUE
None.

SEE ALSO
skipDelete(3), skipFreeList(3), skipRelease(3), skipInsert(3), skipSearch(3), skipNext(3), skipNewList